{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.crab": {
      "initial_state": "on_load",
      "states": {
        "on_load": {
          "on_entry": ["@s silverlabs_nat:crab_is_not_dancing"],
          "transitions": [
            {
              "try_collect_sand": "query.property('silverlabs_nat:sand_block_interaction_state') == 'try_collect_sand'"
            },
            {
              "try_place_sand": "query.property('silverlabs_nat:sand_block_interaction_state') == 'try_place_sand'"
            }
          ]
        },

        "try_collect_sand": {
          "on_entry": ["/scriptevent silverlabs_nat:crab_try_collect_sand"],
          "transitions": [
            {
              "on_load": "query.property('silverlabs_nat:sand_block_interaction_state') != 'try_collect_sand'"
            }
          ]
        },

        "try_place_sand": {
          "on_entry": ["/scriptevent silverlabs_nat:crab_try_place_sand"],
          "transitions": [
            {
              "on_load": "query.property('silverlabs_nat:sand_block_interaction_state') != 'try_place_sand'"
            }
          ]
        }
      }
    }
  }
}
